Download it now!
Bug 84657 - FORMATTING: Pressing Enter in sidebar (Writer) while typing the value creates new line in document
Summary: FORMATTING: Pressing Enter in sidebar (Writer) while typing the value creates...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2014-10-04 09:39 UTC by Ljiljan
Modified: 2019-10-13 19:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ljiljan 2014-10-04 09:39:13 UTC
Problem description: 

When typing value for "Above paragraph spacing" in Sidepar (any other field in Sidebar as well) and then pressing Enter, new line will be inserted in document.

Steps to reproduce:
1. Write two lines of text 
2. Move your cursor to the beginning of the second line
3. Now, in sidebar type some value and press enter
4. New line in document will be inserted 

Current behavior:

New line is inserted in document.

Expected behavior:

New paragraph settings should be apply and text cursor should be activated. 
              
Operating System: All
Version: 4.3.2.2 release
Comment 1 A (Andy) 2014-10-04 10:21:14 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)

Note to Step 3:
You need to change the values of one of the following fields in the section PARAGRAPH:
- ABOVE PARAGRAPH SPACING
- BELOW PARAGRAPH SPACING
- BEFORE TEXT INDENT
- AFTER TEXT INDENT
- FIRST LINE INDENT

When changing the font size this mistake doesn't happen.
Comment 2 Jean-Baptiste Faure 2014-10-04 10:26:54 UTC
Reproducible for me too under Ubuntu 14.04 with LO 4.3.3.0.0+ and the master.

In the case of the master launched from the command line, I get many error/warning messages:
(pkix_CacheCert_Add: PKIX_PL_HashTable_Add for Certs skipped: entry existed

Version: 4.4.0.0.alpha0+ Build ID: 24fb87501ef9d5aa715d572de7eb5efe49a0d9c3

Best regards. JBF
Comment 3 QA Administrators 2015-10-14 19:57:10 UTC Comment hidden (obsolete)
Comment 4 Jean-Baptiste Faure 2015-10-17 21:00:00 UTC
Still reproducible in the master Version: 5.1.0.0.alpha1+
Build ID: f1bcf41baea1636ff33f2c918ebb4a4fa589d10a
Ubuntu_15.04_x86-64

Best regards. JBF
Comment 5 Ljiljan 2016-07-16 06:06:26 UTC
Reproducible for me too under Ubuntu 16.04 with LO 5.1.4.2.
Comment 6 QA Administrators 2017-09-01 11:16:12 UTC Comment hidden (obsolete)
Comment 7 Jean-Baptiste Faure 2017-09-02 15:30:14 UTC
Still reproducible with LO 5.4.1 and current master if I type value in spacing or indent.

Version: 5.4.1.2
Build ID: 1:5.4.1~rc2-0ubuntu0.16.04.1~lo0
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
Locale: fr-FR (fr_FR.UTF-8); Calc: single

Version: 6.0.0.0.alpha0+
Build ID: 31ee13b5a40715e217711e48753eeb7170e3349c
Threads CPU : 4; OS : Linux 4.4; UI Render : GL; VCL: gtk3; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: single


Best regards. JBF
Comment 9 QA Administrators 2019-10-02 02:56:55 UTC Comment hidden (obsolete)
Comment 10 Jean-Baptiste Faure 2019-10-13 19:51:45 UTC
Not reproducible anymore in LO 6.3.4.0+ under Ubuntu 18.04.

Closing as WorksForMe. Please feel free to reopen if you disagree.

Best regards. JBF
Comment 11 Jean-Baptiste Faure 2019-10-13 19:59:55 UTC
The commit in comment #8 fixed the bug. WFM -> Fixed.